EC(1SSL)

NOM
ec - Traitement de clefs EC

SYNOPSIS
openssl ec [-inform PEM|DER] [-outform PEM|DER] [-in nom_fichier] [-passin param] [-out nom_fichier] [-passout param] [-des] [-des3] [-idea] [-text] [-noout] [-param_out] [-pubin] [-pubout] [-conv_form param] [-param_enc param] [-engine id]

DESCRIPTION
La commande ec agit sur des clef EC. Elle peuvent être convertie dans divers format et leurs composants peuvent être affichés. Note : OpenSSL utilise le format des clefs privées indiqué dans « SEC 1: Elliptic Curve Cryptography » (http://www.secg.org/). Pour convertir une clef privé EC d'OpenSSL en une clef privée au format PKCS#8, utilisez la commande pkcs8.

OPTIONS DE LA COMMANDE

-inform DER|PEM
    Indique le format d'entrée. L'option DER pour une clef privée utilise une clef privée encodée au format ASN.1 DER. Pour une clef publique, elle utilise la structure SubjectPublicKeyInfo spécifiée dans la RFC 3280. Le format PEM est le format par défaut : c'est le format DER encodé en base64 avec des lignes d'en-tête et de fin supplémentaires. Pour les clefs privées, le format PKCS#8 est également accepté.

-outform DER|PEM
    Indique le format de sortie. Les options ont la même signification que pour l'option -inform.

-in nom_fichier
    Indique le nom du fichier d'entrée à partir duquel la clef sera lue. Par défaut, la clef est lue depuis l'entrée standard si cette option est omise. Si la clef est chiffrée, un mot de passe sera demandé à l'invite de commande.

-passin param
    La source de mot de passe d'entrée. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-out nom_fichier
    Indique le nom du fichier de sortie où sera écrite la clef. Par défaut, la clef est écrite sur la sortie standard si cette option est omise. Si des options de chiffrement ont été indiquées, un mot de passe sera demandé. Le fichier de sortie ne devra pas être le même que le fichier d'entrée.

-passout param
    La source de mot de passe pour le fichier de sortie. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-des|-des3|-idea
    Ces options chiffrent la clef privée en DES, triple DES, IDEA ou tout autre algorithme de chiffrement pris en charge par OpenSSL avant de la fournir. Une phrase de passe est demandée. Si aucune des ces options n'est utilisée, la clef est écrite en clair. Cela signifie qu'en utilisant l'outil ec sans option de chiffrement, on peut lire une clef chiffrée et supprimer sa phrase de passe ou, en utilisant des options de chiffrement, on peut ajouter ou modifier une phrase de passe. Ces options ne peuvent être utilisées qu'avec le format de sortie PEM.

-text
    Affiche les composants des clefs publiques, privées et les paramètres.

-noout
    Cette option empêche la sortie de la version encodée de la clef.

-modulus
    Cette option affiche la valeur de la composante publique de la clef.

-pubin
    Par défaut, une clef privée est lue à partir du fichier d'entrée : avec cette option, une clef publique est lue à sa place.

-pubout
    Par défaut, une clef privée est produite. Avec cette option, une clef publique est produite à sa place. Cette option est automatiquement activée si l'entrée est une clef publique.

-conv_form
    Indique comment les points de la courbe elliptique sont convertis en chaîne d'octets. Les valeurs possibles sont : compressed (la valeur par défaut), uncompressed et hybrid. Pour plus d'informations concernant la format de conversion des points veuillez lire la norme X9.62. Notez que, du fait de brevets, l'option compressed est désactivée par défaut pour les courbes binaires et peut être activée en définissant la macro du préprocesseur OPENSSL_EC_BIN_PT_COMP lors de la compilation.

-param_enc param
    Indique comment les paramètres de la courbe elliptique sont encodés. Les valeurs possibles sont : named_curve, c'est-à-dire que les paramètres EC sont indiqués par un OID, ou explicit quand les paramètres EC sont fournis explicitement (consultez la RFC 3279 pour la définition des structures de paramètres EC). La valeur par défaut est named_curve. Remarquez que l'autre valeur implicitlyCA, comme précisée dans la RFC 3279, n'est pour l'instant pas implémentée dans OpenSSL.

-engine id
    Indique un moteur (en utilisant son identifiant unique id) qui force ec à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

NOTES
Le format de clef privée PEM utilise les lignes de début et de fin suivantes :

 -----BEGIN EC PRIVATE KEY-----
 -----END EC PRIVATE KEY-----

Le format de clef publique PEM utilise les lignes de début et de fin suivantes :

 -----BEGIN PUBLIC KEY-----
 -----END PUBLIC KEY-----

EXEMPLES
Pour chiffrer une clef privée en utilisant l'algorithme DES triple :

 openssl ec -in key.pem -des3 -out keyout.pem

Pour convertir une clef privée du format PEM vers le format DER :

 openssl ec -in key.pem -outform DER -out keyout.der

Pour afficher les composants d'une clef privée sur la sortie standard :

 openssl ec -in key.pem -text -noout

Pour afficher uniquement la partie publique d'une clef privée :

 openssl ec -in key.pem -pubout -out pubkey.pem

Pour utiliser les paramètres d'encodage « explicit » :

 openssl ec -in key.pem -param_enc explicit -out keyout.pem

Pour utiliser la forme de conversion de point « compressed » :

 openssl ec -in key.pem -conv_form compressed -out keyout.pem

VOIR AUSSI
ecparam(1), dsa(1), rsa(1)

HISTORIQUE
La commande ec a été ajoutée dans la version 0.9.8 d'OpenSSL.

AUTEUR
Nils Larsch pour le projet OpenSSL (http://www.openssl.org).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.